Subject: Re: bug#62621: 29.0.60; uniquify can't make buffers unique based on things other than filename

From: Dmitry Gutov <[email-masked]>
Date: Wed, 19 Jul 2023 05:24:58 +0300

On 18/07/2023 20:51, Juri Linkov wrote:
>> - Hide the parent directory from the uniquification logic (only keeping the
>>    project name). So that, for example, if I call 'M-x project-eshell' and
>>    then 'C-u M-x project-eshell', the generated buffer names would not try
>>    to use the parent segment to uniquify, and just stay as
>>    <project-name>/*eshell*  and <project-name>/*eshell-2*.
> Often a project name in the buffer name is needed not for purposes
> of generating a unique buffer name, but for permanent indication
> which project a file/non-file buffer belongs to.

That's what I was thinking of as well. I suppose, the question is, 
though, which place in the code should make that decision, and which one 
should be in change of formatting the buffer's name.

> In such cases indeed a parent directory makes no sense,
> but still uniquification is required for buffers inside
> the same project, e.g.
> 
>    <project-name>/*eshell*<1>
>    <project-name>/*eshell*<2>
> 
> So here are 2 styles combined: one for top-level project names
> produced by project.el, and another style for the same project
> by uniquify.el (in this case 'post-forward-angle-brackets').

...which is a bit untidy at the moment.